net.dontdrinkandroot.utils.jobmanager

## Class OvercapacityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.dontdrinkandroot.utils.jobmanager.OvercapacityException

All Implemented Interfaces:
  Serializable

    public class OvercapacityException
    extends Exception

Exception that denotes that certain capacity bounds have been hit.

Author:
  Philip W. Sorst
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OvercapacityException(String msg)`
`OvercapacityException(String msg, Throwable e)`
`OvercapacityException(Throwable e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OvercapacityException

    public OvercapacityException(String msg)

#### OvercapacityException

    public OvercapacityException(Throwable e)

#### OvercapacityException

    public OvercapacityException(String msg,
                         Throwable e)